<?php

// DETECTION SESSION

	session_start();

	if(isset($_SESSION['entreprise']['session']) && $_SESSION['entreprise']['session'] == 1){
		Header("Location: /espace_personnel/entreprises/accueil/");
		exit();
	}


// CAPTCHA

	$cryptinstall= "../php/crypt/cryptographp.fct.php";
	include $cryptinstall; 


// LIBRAIRIES

	require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/lib.inc.php');
	require($_SERVER['DOCUMENT_ROOT'].'/site/config/php/var.inc.php');
	require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/php/lib.php');
	require($_SERVER['DOCUMENT_ROOT'].'/espace_personnel/php/var.php');


// VERIFICATION CODE CRYPTO
	

	if(!chk_crypt($_POST['code'])){
		Header("Location: index.php?code=wrong");
		exit();
	}

// DATAS
	else{

		//echo "<pre>";print_r($_POST);echo "</pre>";

		$nom				= ucfirst(strtolower($_POST['nom']));
		$adresse			= ucfirst(strtolower($_POST['adresse']));
		$contact_nom		= ucfirst(strtolower($_POST['contact_nom']));
		$contact_prenom		= ucfirst(strtolower($_POST['contact_prenom']));
		$contact_fonction	= ucfirst(strtolower($_POST['contact_fonction']));
		$contact_service	= ucfirst(strtolower($_POST['contact_service']));

		$identifiant		= strtolower($nom);
		$identifiant		= str_replace(" ","",$identifiant);

		$date = date("Y-m-d");

// NOUVELLE ENTREE

		dbquery("INSERT INTO site_entreprises(nom) VALUES('".addslashes($nom)."')");

		$sql = dbquery("SELECT * FROM site_entreprises WHERE nom='".addslashes($nom)."' ORDER BY id_entreprise DESC LIMIT 1");

		$id_entreprise = dbresult($sql,0,"id_entreprise");

// UPDATE

		$q= "	UPDATE	site_entreprises 

				SET		nom					= '".addslashes($nom)."',
						secteur_activite	= '".addslashes($_POST['secteur_activite'])."',
						taille_entreprise	= '".addslashes($_POST['taille_entreprise'])."',
						adresse				= '".addslashes($adresse)."',
						commune				= '".addslashes($_POST['commune'])."',
						contact_civilite	= '".addslashes($_POST['contact_civilite'])."',
						contact_nom			= '".addslashes($contact_nom)."',
						contact_prenom		= '".addslashes($contact_prenom)."',
						contact_fonction	= '".addslashes($contact_fonction)."',
						contact_service		= '".addslashes($contact_service)."',
						contact_tel			= '".addslashes($_POST['contact_tel'])."',
						contact_mail		= '".addslashes($_POST['contact_mail'])."',
						date_enregistrement	= '".$date."',
						identifiant			= '".addslashes($identifiant)."',
						password			= 'Arcnam974'


				WHERE id_entreprise = '".$id_entreprise."'
			";

		//echo $q;

		dbquery($q);

// MAIL

		$contenu_mail = "
		Une demande d'inscription a été effectuée via l'Espace Entreprises.<br><br>

		<a href='http://www.cnam.re/base_adm/site/etat/entreprises/index.php?id_entreprise=".$id_entreprise."'>Cliquer ici pour accéder directement à la demande d'inscription.</a>
		<br><br>
		<h3>Informations relatives à l'entreprise : </h3>
		<b>Nom de l'entreprise : </b>".$nom."<br>
		<b>Nom du contact : </b>".$_POST['contact_civilite']." ".$contact_prenom." ".$contact_nom."<br>

		";
		
		$headers	='From: Espace Entreprises - cnam.re'."\n";
		$headers	.='Content-Type:text/html; charset="iso-8859-1"'."\n"; 
		$headers	.='Content-Transfer-Encoding: 8bit';
		$objet		="Inscription entreprise - ".$nom." ";

		mail("al.lafont@gmail.com",$objet,utf8_decode($contenu_mail),$headers);
		//mail("cdandrea@cnam.re",$objet,utf8_decode($contenu_mail),$headers);

		Header("Location: inscription_confirm.php");
	}
?>